/// <reference types="vite/client" />

declare module 'crypto-js';
declare module 'crypto-js/sha256';

declare const __APP_DOMAIN__: string;
declare const __DEBUG__: boolean;

interface ImportMetaEnv {
  readonly VITE_ASSET_BASE_URL?: string;
  readonly VITE_ASSET_BUILD_LOCAL?: string;
  readonly VITE_ASSET_DEV_LOCAL?: string;
}

interface ImportMeta {
  readonly env: ImportMetaEnv;
}
